Zum Hauptinhalt springen
PATCH
/
settings
/
currencies
/
2026-03
/
exchange-rates
/
{exchangeRateId}
cURL
curl --request PATCH \
  --url https://api.hubapi.com/settings/currencies/2026-03/exchange-rates/{exchangeRateId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "conversionRate": 123,
  "effectiveAt": "2023-11-07T05:31:56Z"
}
'
{
  "conversionRate": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "effectiveAt": "2023-11-07T05:31:56Z",
  "fromCurrencyCode": "AED",
  "id": "<string>",
  "toCurrencyCode": "AED",
  "updatedAt": "2023-11-07T05:31:56Z",
  "visibleInUI": true
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

exchangeRateId
string
erforderlich

Body

application/json
conversionRate
number
erforderlich

The updated conversion rate between the to and from currency code of this exchange rate.

effectiveAt
string<date-time>

The date the exchange rate is in effect.

Antwort

successful operation

conversionRate
number
erforderlich

The conversion rate between the to and from currency code of this exchange rate.

createdAt
string<date-time>
erforderlich

The date the exchange rate was created.

effectiveAt
string<date-time>
erforderlich

The date the exchange rate is in effect.

fromCurrencyCode
enum<string>
erforderlich

This represents the three-letter currency code (such as USD for US Dollar) of the currency you are converting from.

Verfügbare Optionen:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BOV,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHE,
CHF,
CHW,
CLF,
CLP,
CNY,
COP,
COU,
CRC,
CUC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MXV,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
SSP,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
USN,
UYI,
UYU,
UZS,
VEF,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XBA,
XBB,
XBC,
XBD,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
XSU,
XUA,
YER,
ZAR,
ZMW,
ZWL
id
string
erforderlich

A unique identifier for the exchange rate

toCurrencyCode
enum<string>
erforderlich

This represents the three-letter currency code (such as USD for US Dollar) of the currency you are converting to.

Verfügbare Optionen:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BOV,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHE,
CHF,
CHW,
CLF,
CLP,
CNY,
COP,
COU,
CRC,
CUC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MXV,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
SSP,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
USN,
UYI,
UYU,
UZS,
VEF,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XBA,
XBB,
XBC,
XBD,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
XSU,
XUA,
YER,
ZAR,
ZMW,
ZWL
updatedAt
string<date-time>
erforderlich

The date the exchange rate was last updated.

visibleInUI
boolean
erforderlich

This indicates if the exchange rate is shown in the MultiCurrency settings page.

Last modified on April 9, 2026